<div class="project-close-dialog">
  <div class="container">
    <mat-toolbar>
      <span>Zamykanie projektu {{project?.name}}</span>
      <span class="fill-remaining-space"></span>
      <button class="btn-dialog-close" mat-stroked-button (click)="onClose()" tabIndex="-1">
        <mat-icon matTooltip="Zamknij">clear</mat-icon>
      </button>
    </mat-toolbar>

    <form [formGroup]="projectCloseForm" (submit)="onSubmit()">
      <div fxLayout="column">
        <mat-form-field>
          <input formControlName="spentBudget" matInput placeholder="Przeznaczony budżet">
          <mat-error>Budżet przeznaczony na projekt jest wymagany.</mat-error>
        </mat-form-field>
        <mat-form-field>
          <input formControlName="finalIncome" matInput placeholder="Finalny przychód">
          <mat-error>Końcowy przychód z projektu jest wymagany.</mat-error>
        </mat-form-field>
      <mat-form-field>
        <input formControlName="endDate" matInput [matDatepicker]="endDatePicker"
               placeholder="Data zakończenia projektu">
        <mat-datepicker-toggle matSuffix [for]="endDatePicker"></mat-datepicker-toggle>
        <mat-datepicker #endDatePicker></mat-datepicker>
        <mat-error>Data zakończenia prac nad projektem jest wymagana.</mat-error>
      </mat-form-field>
        <div class="button-row">
          <button mat-raised-button color="primary" type="submit" [disabled]="projectCloseForm.invalid">
            Zapisz
          </button>
          <button mat-raised-button color="warn" (click)="onClear()">Wyczyść</button>
        </div>
      </div>
    </form>
  </div>
</div>
